"use client";

import { useTranslations } from "next-intl";
import { Label } from "@/components/ui/label";
import { Checkbox } from "@/components/ui/checkbox";
import { useCodeEditorStore } from "@/store/codeEditorStore";

export default function LigaturesCheckbox() {
  const t = useTranslations("Page.PlaygroundPage.Components.ligaturesCheckbox");
  const { setIsLigature } = useCodeEditorStore();

  return (
    <div className="flex items-center gap-2">
      <Checkbox onCheckedChange={setIsLigature} />
      <Label>{t("label")}</Label>
    </div>
  );
}
