"use client";

import {
  Select,
  SelectContent,
  SelectItem,
  SelectTrigger,
  SelectValue,
} from "@/components/ui/select";
import { useCodeEditorStore } from "@/store/codeEditorStore";

const themeOptions = [
  { value: "andromeeda", label: "Andromeeda" },
  { value: "aurora-x", label: "Aurora X" },
  { value: "ayu-dark", label: "Ayu Dark" },
  { value: "catppuccin-frappe", label: "Catppuccin Frappé" },
  { value: "catppuccin-latte", label: "Catppuccin Latte" },
  { value: "catppuccin-macchiato", label: "Catppuccin Macchiato" },
  { value: "catppuccin-mocha", label: "Catppuccin Mocha" },
  { value: "dark-plus", label: "Dark Plus" },
  { value: "dracula", label: "Dracula Theme" },
  { value: "dracula-soft", label: "Dracula Theme Soft" },
  { value: "one-dark-pro", label: "One Dark Pro" },
  { value: "vitesse-dark", label: "Vitesse Dark" },
  { value: "vitesse-light", label: "Vitesse Light" },
];

export default function ThemeSelector() {
  const { theme, setTheme } = useCodeEditorStore();

  return (
    <div className="space-y-2">
      <Select defaultValue={theme} onValueChange={setTheme}>
        <SelectTrigger>
          <SelectValue placeholder="Select theme" />
        </SelectTrigger>
        <SelectContent>
          {themeOptions.map((option) => (
            <SelectItem key={option.value} value={option.value}>
              {option.label}
            </SelectItem>
          ))}
        </SelectContent>
      </Select>
    </div>
  );
}
